Index: code/branches/resource/src/SpecialConfig.h.in
===================================================================
--- code/branches/resource/src/SpecialConfig.h.in	(revision 3344)
+++ code/branches/resource/src/SpecialConfig.h.in	(revision 3345)
@@ -88,6 +88,9 @@
     const char ORXONOX_LOG_DEV_PATH[]         = "@CMAKE_LOG_OUTPUT_DIRECTORY@";
 #endif
+#ifdef DEPENDENCY_PACKAGE_ENABLE
+    const char ORXONOX_DEP_LIB_PATH[]         = "@DEP_LIBRARY_DIR@";
+#endif
 
-    /* OGRE Plugins */
+    // OGRE PLUGINS
 #ifdef NDEBUG
     const char ORXONOX_OGRE_PLUGINS[] = "@OGRE_PLUGINS_RELEASE@";
@@ -105,9 +108,4 @@
 #  endif
 #endif
-
-    /* Tcl */
-#ifdef DEPENDENCY_PACKAGE_ENABLE
-    const char ORXONOX_TCL_LIBRARY_PATH[] = "@TCL_LIBRARY_DIR@";
-#endif
 }
 
Index: code/branches/resource/src/core/Core.cc
===================================================================
--- code/branches/resource/src/core/Core.cc	(revision 3344)
+++ code/branches/resource/src/core/Core.cc	(revision 3345)
@@ -231,5 +231,6 @@
 
     Core::Core(const std::string& cmdLine)
-        : bGraphicsLoaded_(false)
+        : bDevRun_(false)
+        , bGraphicsLoaded_(false)
     {
         if (singletonRef_s != 0)
@@ -435,4 +436,13 @@
     }
 
+    /*static*/ const boost::filesystem::path& Core::getRootPath()
+    {
+        return getInstance().configuration_->rootPath_;
+    }
+    /*static*/ std::string Core::getRootPathString()
+    {
+        return getInstance().configuration_->rootPath_.string() + '/';
+    }
+
     /**
     @note
@@ -544,5 +554,5 @@
         {
             COUT(1) << "Running from the build tree." << std::endl;
-            Core::isDevBuild_ = true;
+            Core::bDevRun_ = true;
             configuration_->mediaPath_  = ORXONOX_MEDIA_DEV_PATH;
             configuration_->configPath_ = ORXONOX_CONFIG_DEV_PATH;
Index: code/branches/resource/src/core/Core.h
===================================================================
--- code/branches/resource/src/core/Core.h	(revision 3344)
+++ code/branches/resource/src/core/Core.h	(revision 3345)
@@ -90,4 +90,6 @@
             //! Returns the path to the log files as boost::filesystem::path
             static const boost::filesystem::path& getLogPath();
+            //! Returns the path to the root folder as boost::filesystem::path
+            static const boost::filesystem::path& getRootPath();
             //! Returns the path to the data files as std::string
             static std::string getMediaPathString();
@@ -96,4 +98,8 @@
             //! Returns the path to the log files as std::string
             static std::string getLogPathString();
+            //! Returns the path to the root folder as std::string
+            static std::string getRootPathString();
+
+            static bool isDevelopmentRun() { return getInstance().bDevRun_; }
 
         private:
@@ -114,5 +120,5 @@
             TclThreadManager*     tclThreadManager_;
 
-            bool                  isDevBuild_;          //!< True for builds in the build directory (not installed)
+            bool                  bDevRun_;             //!< True for runs in the build directory (not installed)
             bool                  bGraphicsLoaded_;
             CoreConfiguration*    configuration_;
Index: code/branches/resource/src/core/TclBind.cc
===================================================================
--- code/branches/resource/src/core/TclBind.cc	(revision 3344)
+++ code/branches/resource/src/core/TclBind.cc	(revision 3345)
@@ -33,10 +33,11 @@
 #include <cpptcl/cpptcl.h>
 
+#include "SpecialConfig.h"
 #include "util/Debug.h"
 #include "util/StringUtils.h"
 #include "CommandExecutor.h"
 #include "ConsoleCommand.h"
+#include "Core.h"
 #include "TclThreadManager.h"
-#include "SpecialConfig.h"
 
 namespace orxonox
@@ -102,12 +103,16 @@
     Tcl::interpreter* TclBind::createTclInterpreter()
     {
+        Tcl::interpreter* interpreter;
 #ifdef DEPENDENCY_PACKAGE_ENABLE
-        Tcl::interpreter* interpreter = new Tcl::interpreter(ORXONOX_TCL_LIBRARY_PATH);
+        if (true)//Core::isDevelopmentRun())
+            interpreter = new Tcl::interpreter(std::string(ORXONOX_DEP_LIB_PATH) + "/tcl");
+        else
+            interpreter = new Tcl::interpreter(Core::getRootPathString() + "lib/tcl");
 #else
-        Tcl::interpreter* interpreter = new Tcl::interpreter();
+        interpreter = new Tcl::interpreter();
 #endif
         try
         {
-            interpreter->eval("source " + TclBind::getInstance().tclDataPath_ + "/init.tcl");
+            interpreter->eval("source \"" + TclBind::getInstance().tclDataPath_ + "/init.tcl\"");
         }
         catch (Tcl::tcl_error const &e)
